
Infrastructure - Story #742

listObjects: Conflict between requestFormat and headers

2010-08-10 15:18 - Roger Dahl

Status: Closed Start date: 2010-10-07

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version: Sprint-2010.42   

Story Points:    

Description

In the Python D1 client, it is possible to supply the Accept header both as part of a dictionary of headers and as a parameter to

listObjects(). Need to determine what should be done if both are supplied and they are in conflict, and then implement this solution

through a series of development tasks.

History

#1 - 2010-10-07 00:49 - Matthew Jones

- Tracker changed from Task to Story

- Milestone set to CCI-0.6

- Start date set to 2010-10-07

- Target version deleted (CCI.Prototype.Review)

#2 - 2010-10-07 18:15 - Matthew Jones

- Position set to 22

#3 - 2010-10-07 18:50 - Dave Vieglais

- Position set to 2

- Target version set to Sprint-2010.41

- Position deleted (26)

#4 - 2010-10-19 04:44 - Roger Dahl

- Milestone deleted (CCI-0.6)

- Target version changed from Sprint-2010.41 to Sprint-2010.43

#5 - 2010-10-22 15:34 - Roger Dahl

- Target version changed from Sprint-2010.43 to Sprint-2010.42

- Status changed from New to Closed

Resolved by checking for a conflict and returning a D1 error if there is one.
